Package org.eclipse.net4j.util.ui.confirmation

## Class InteractiveConfirmationProvider.Factory

- java.lang.Object
- - org.eclipse.net4j.util.factory.Factory
  - - org.eclipse.net4j.util.confirmation.IConfirmationProvider.Factory
    - - org.eclipse.net4j.util.ui.confirmation.InteractiveConfirmationProvider.Factory

- All Implemented Interfaces:
    `IFactory`
  Enclosing class:
    InteractiveConfirmationProvider

      public static class InteractiveConfirmationProvider.Factory
      extends IConfirmationProvider.Factory

  Since:
    3.4
  Author:
    Christian W. Damus (CEA LIST)

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.net4j.util.confirmation.IConfirmationProvider.Factory

      `IConfirmationProvider.Factory.Default`

  - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.util.confirmation.IConfirmationProvider.Factory

      `DEFAULT_TYPE, INTERACTIVE_TYPE, PRODUCT_GROUP`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Factory()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `create​(java.lang.String description)` |

    - ### Methods inherited from class org.eclipse.net4j.util.factory.Factory

      `getDescriptionFor, getKey, getProductGroup, getType, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Factory

          public Factory()

  - ### Method Detail

    - #### create

          public java.lang.Object create​(java.lang.String description)
                                  throws ProductCreationException

      Throws:
        `ProductCreationException`